"use strict";
/*
 * @license
 * Copyright Lightweightform. All Rights Reserved.
 *
 * Use of this source code is governed by an Apache2.0-style license that can be
 * found at https://www.apache.org/licenses/LICENSE-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../utils");
var record_storage_1 = require("./storage/record.storage");
var STORAGE = 'storage';
var StorageManager = /** @class */ (function () {
    function StorageManager() {
    }
    StorageManager.generateStorage = function (rootDir, groupId, artifactId, schema) {
        var commonPackageRootDir = rootDir + "/" + groupId.replace(/\./g, '/');
        utils_1.createDirectory(commonPackageRootDir + "/" + STORAGE);
        record_storage_1.RecordStorage.createRecordStorage(schema, groupId + "." + STORAGE, commonPackageRootDir + "/" + STORAGE, artifactId, true);
    };
    return StorageManager;
}());
exports.default = StorageManager;
//# sourceMappingURL=storage.manager.js.map