"use strict";
/*
 * @license
 * Copyright Lightweightform. All Rights Reserved.
 *
 * Use of this source code is governed by an Apache2.0-style license that can be
 * found at https://www.apache.org/licenses/LICENSE-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
var utils_1 = require("../utils");
var template_manager_1 = require("./template.manager");
var VALIDATOR = 'validator';
var ValidationMessagesManager = /** @class */ (function () {
    function ValidationMessagesManager() {
    }
    ValidationMessagesManager.createValidationMessages = function (rootDir, packageName, artifactId) {
        var className = utils_1.camelCase(artifactId) + "ValidationMessages";
        var commonPackageRootDir = rootDir + "/" + packageName.replace(/\./g, '/');
        var context = {
            package: packageName + "." + VALIDATOR,
            className: className,
        };
        utils_1.createDirectory(commonPackageRootDir + "/" + VALIDATOR);
        utils_1.writeFile(commonPackageRootDir + "/" + VALIDATOR + "/" + className + ".kt", template_manager_1.default.loadValidationMessages(context));
    };
    return ValidationMessagesManager;
}());
exports.default = ValidationMessagesManager;
//# sourceMappingURL=validation-messages.manager.js.map